import { DomainEvent } from "./domain-event.base";
import { Entity, BaseProps } from "./entity.base";
export declare abstract class Domain<T extends BaseProps> extends Entity<T> {
    private _domainEvents;
    get domainEvents(): DomainEvent[];
    protected addEvent(domainEvent: DomainEvent): void;
    clearEvents(): void;
    publishEvents(notifier: any): Promise<void>;
}
